
function tone (freq, len, cb) {
  const audioCtx = new (window.AudioContext || window.webkitAudioContext)();

  const oscillator = audioCtx.createOscillator();
  oscillator.type = 'sine'; // Use a sine wave for a pure tone
  oscillator.frequency.value =  freq; // Set the frequency to 300Hz

  const gainNode = audioCtx.createGain();
  gainNode.gain.value = 0.2; // Adjust the volume (0 to 1)

  oscillator.connect(gainNode);
  gainNode.connect(audioCtx.destination);

  return function play () {
    oscillator.start();
    setTimeout(() => {
      oscillator.stop();
      cb();
    }, len);
  }
}